//构建总行程单
function buildItineraryProcess(data){
	let html='';
	let dataJson=JSON.parse(data);
	let last=dataJson.length-1;
	for(let i=0;i<dataJson.length;i++){
		let price=0;
		for(let p=0;p<dataJson[i].feeTraveItem.length;p++){
			price+=parseFloat(dataJson[i].feeTraveItem[p].price);
		}
		html+=`<div class="addressName fL"><i class="contactsMark icon-">P</i><b>${dataJson[i].departurecity}</b></div>
		<div class="pointLine fL">
			<span class="price colGray">￥${price}</span>
			<span class="time colGray">${dataJson[i].departuredate}${dataJson[i].arrivalsdate}</span>
		</div>`;
		if(i===last){
			let arrivalscity=dataJson[i].arrivalscity.substring(1);
			html+=`<div class="addressName fL"><i class="contactsMark icon-">P</i><b>${arrivalscity}</b></div>`;
		}
	}
	
	$("td[itineraryinfo]").html(html);
}

//设置城市下来菜单-存储数据
function districtCityBuild(selectDom,obj,selected){
	var storage=window.localStorage;
	var id=$('select['+obj+']').val();
	
	if(typeof storage["district_"+id]==='undefined'||storage["district_"+id]===''){
		$.ajax({
			url : '/api/district?did='+id,
			type : "post",
			cache : false,
			dataType : "json",
			async:false,
			global : true,
			success : function(data) {
				storage.setItem("district_"+id,JSON.stringify(data.districtList));
				//districtCity(selectDom,data.districtList);
			},
			error : function(err) {}
		});
	}
	
	districtCity=JSON.parse(storage["district_"+id]);
	
	var html='';var cityName='';
	if(typeof selected!=='undefined'){
		if(selectDom=='departurecity'){
			cityName=selected.departurecity;
		}else{
			cityName=selected.arrivalscity.substring(1);
		}
	}
	
	
	for(let i=0;i<districtCity.length;i++){
		
		if(typeof selected!=='undefined'&&cityName==districtCity[i].name){
			html+='<option selected value='+districtCity[i].name+'>'+districtCity[i].name+'</option>';
		}else{
			html+='<option value='+districtCity[i].name+'>'+districtCity[i].name+'</option>';
		}
	}
	$("select["+selectDom+"]").html(html);
}
//--设置省份下拉
function districtTop(selected){
	
	var storage=window.localStorage;
	
	if(typeof storage["districtTop"]==='undefined'||storage["districtTop"]===''){
		$.ajax({
			url : '/api/district',
			type : "post",
			cache : false,
			dataType : "json",
			global : true,
			success : function(data) {
				storage.setItem("districtTop",JSON.stringify(data.districtList));
				//districtTop(data.districtList);
				
			},
			error : function(err) {}
		});
	}
	
	var districtTop=JSON.parse(storage["districtTop"]);
	
	var html='';
	for(let i=0;i<districtTop.length;i++){
		if(typeof selected!=='undefined'&&selected.departureprovince==districtTop[i].name){
			html+='<option selected value='+districtTop[i].id+'>'+districtTop[i].name+'</option>';
		}else{
			html+='<option value='+districtTop[i].id+'>'+districtTop[i].name+'</option>';
		}
		
	}
	$("select[departureProvince]").html(html);
	
	html='';
	for(let i=0;i<districtTop.length;i++){
		if(typeof selected!=='undefined'&&selected.arrivalsprovince==districtTop[i].name){
			html+='<option selected value='+districtTop[i].id+'>'+districtTop[i].name+'</option>';
		}else{
			html+='<option value='+districtTop[i].id+'>'+districtTop[i].name+'</option>';
		}
		
	}
	$("select[arrivalsProvince]").html(html);
}

$(function() {
	//打开设置行程单
	$("a[addStroke]").click(function() {
		console.log('ddd');
		districtTop();
		districtCityBuild('departurecity','departureprovince');
		districtCityBuild('arrivalscity','arrivalsprovince');
		$("input[departuredate]").val('');
		$("input[arrivalsdate]").val('');
		$("tbody[feeTravelItem]").html('');
		
		var sessionItinerary= sessionStorage.getItem("itineraryList");
		sessionItinerary=JSON.parse(sessionItinerary);
		
		$("a[additinerarybut]").show();
		$("a[ediItineraryBut]").hide();
	});
	
})