<?php

	function _getBankSavingsWBS($waste, $statistics){
		
		foreach($statistics as $key=>$value){
			//（纵横广发）广发存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'CGBDeposit') {
				$waste['bank']['CGBDeposit'] += $value['accountPrice'];
			}
			//工行存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'ICBCDeposit') {
				$waste['bank']['ICBCDeposit'] += $value['accountPrice'];
			}
			//个人存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'PersonalDeposit') {
				$waste['bank']['PersonalDeposit'] += $value['accountPrice'];
			}
		}
		return $waste;
	}

	function _getFinancesWBS($waste, $financesStatistics){
	//理财账号
		foreach ($financesStatistics['financesAccount'] as $key => $value) {
			//广发理财-固定
			if ($value['depositMethod'] == '固定' && $value['accountBank'] == 'CGBDeposit') {
				$waste['financial']['fixed']['CGBDeposit'] += $value['accountPrice'];
			}
			//个人理财固定（广发）
			if ($value['depositMethod'] == '固定' && $value['accountBank'] == 'CGBPersonalDeposit') {
				$waste['financial']['fixed']['ICBCDeposit'] += $value['accountPrice'];
			}
			//广发理财活期
			if ($value['depositMethod'] == '活期' && $value['accountBank'] == 'CGBDeposit') {
				$waste['financial']['current']['CGBDeposit'] += $value['accountPrice'];
			}
			//工行理财活期
			if ($value['depositMethod'] == '活期' && $value['accountBank'] == 'ICBCDeposit') {
				$waste['financial']['current']['ICBCDeposit'] += $value['accountPrice'];
			}
		}
		//公司账号
		foreach($financesStatistics['companyAccount'] as $key=>$value){
			//print_r($value);
			//（纵横广发）广发存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'CGBDeposit') {
				$waste['bank']['CGBDeposit'] += $value['accountPrice'];
			}
			//工行存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'ICBCDeposit') {
				$waste['bank']['ICBCDeposit'] += $value['accountPrice'];
			}
			//个人存款
			if ($value['operatingBankType'] == 2 && $value['accountBank'] == 'PersonalDeposit') {
				$waste['bank']['PersonalDeposit'] += $value['accountPrice'];
			}
		}
		return $waste;
		//print_r($waste);
		//die;
	}

?>